%define	name	magicpoint
%define	version	1.06a
%define	release	2mdk

Summary:	MagicPoint - an X11 based presentation tool.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	BSD
Group:		Publishing
URL:		http://www.Mew.org/mgp
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-buildroot

%description
MagicPoint is an X11 based presentation tool. It is designed to make
simple presentations easy while to make complicated presentations
possible. Its presentation file (whose suffix is typically .mgp) is
just text so that you can create presentation files quickly with your
favorite editor (e.g. Emacs).

%prep
%setup -q
CFLAGS=$RPM_OPT_FLAGS \
	./configure %{_target_platform} --prefix=/usr/X11R6 --enable-locale

%build
xmkmf
make Makefiles
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

# Gather some files from contrib dir to put into doc dir
mkdir contrib-files
cp -a contrib/mgp-el contrib/eqn2eps.sh contrib/mgp-mode.el contrib/tex2eps.sh \
      contrib/mgp2html.pl contrib/mgp2latex.pl contrib-files

bzip2 -9f $RPM_BUILD_ROOT/usr/X11R6/man/man1/*

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc sample COPYRIGHT FAQ README README.fonts README.lang SYNTAX USAGE
%doc contrib-files
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/mgp
/usr/X11R6/man/man1/mgp.1x.bz2
/usr/X11R6/man/man1/mgp2ps.1x.bz2
/usr/X11R6/man/man1/mgpembed.1x.bz2
/usr/X11R6/man/man1/mgpnet.1x.bz2
/usr/X11R6/man/man1/xwintoppm.1x.bz2

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.06a-2mdk
- fix group

* Thu Jul 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations

* Thu Jul 29 1999 Ryan Weaver <ryanw@infohwy.com>
  [magicpoint-1.06a-1]
- Updated to version 1.06a

* Fri Jul 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [magicpoint-1.05a-1]
- Initial RPM Build.

